/* external_auth.js - API library for External Authentication configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01a,11OCT10,mvb  written. 
*/

function backupServerChk ()
	{
	depFieldCheck ('chkBackup', true, '', '', 'txtBackupServSecretPhrase txtBackupServNASIdentifier', 'tblBackupServIpAddr');
	depFieldCheck ('chkBackup', false, 'txtBackupServSecretPhrase txtBackupServNASIdentifier', 'tblBackupServIpAddr', '', '');
	}

function radiusSvrConfigValidate ()
    {
	if (ipv4AddrOctetsValidate ('tblPrimServIPAddr', 'IP', false, true,
		"Invalid primary RADIUS server IP address.", "for octet ", true) == false)
	return false;

	var txtFieldIdArr = new Array ();
    txtFieldIdArr[0] = "txtPrimServSecretPhrase,Please enter the Shared Phrase for the primary RADIUS Server";
    txtFieldIdArr[1] = "txtPrimServNASIdentifier,Please enter the NAS Identifierfor the primary RADIUS Server";
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
    return false;

	if (ipv4AddrOctetsValidate ('tblBackupServIpAddr', 'IP', false, true,
		"Invalid backup RADIUS server IP address.", "for octet ", true) == false)
	return false;
	
	var txtFieldIdArr = new Array ();
	txtFieldIdArr[0] = "txtBackupServSecretPhrase,Please enter the Shared Phrase for the backup RADIUS Server";
	txtFieldIdArr[1] = "txtBackupServNASIdentifier,Please enter the NAS Identifier for the backup RADIUS Server";
	if (txtFieldArrayCheck (txtFieldIdArr) == false)
	return false;
	
	var txtFieldIdArr = new Array ();
	txtFieldIdArr[0] = "txtDomainName,Please enter the Domain Name for RADIUS Server Configuration";
	if (txtFieldArrayCheck (txtFieldIdArr) == false)
	return false;

    var myObj = document.getElementById('txtRetryTimeOut');
	if (numericValueRangeCheck (myObj, 1,
		"Invalid  Retry Timeout Value: Please enter a value between 1 and 99 seconds",
		1, 99, true, "Invalid  Retry Timeout value:", "") == false)
        {
        myObj.focus ();
        return false;
        }
    myObj = document.getElementById('txtMaxRetryCount');
	if (numericValueRangeCheck (myObj, 1,
		"Invalid  Maximum Retry Count: Please enter a valid Maximum Retry Count",
		1, 99, true, "Invalid  Maximum Retry Count:", "") == false)
        {
        myObj.focus ();
        return false;
        }
    myObj = document.getElementById('txtUsersDefaultTimeout');
	if (numericValueRangeCheck (myObj, 1,
		"Invalid  Users Default Timeout: Please enter a valid Users Default Timeout ",
		1, 999, true, "Invalid  Users Default Timeout:", "") == false)
        return false;
	}
