/* lan_wan_ipv6.js - API library for LAN WAN IPv6 configuration */

/* Copyright 2011 TeamF1, Inc. */

/*
modification history 
------------------------
01a,6SEP11,mvb  written. 
*/

function dropFieldSelectPublicDstAddr ()
	{
	var selObj = document.getElementById('selPublicDstIpAddr');
	if (selObj.disable) return;
   	var optVal = selObj.options[selObj.selectedIndex].value;
   	switch (optVal)
   		{
   		case 'RANGE':
   			fieldStateChangeWr ('', '', 'tblLwInPublicDstIpAddr tblLwInPublicDstIpAddr2', '');
   			break;
   		//case 'OTHER':
   			//fieldStateChangeWr ('', 'tblLwInPublicDstIpAddr2', '', 'tblLwInPublicDstIpAddr');
   			//break;   				
   		default:
   			fieldStateChangeWr ('tblLwInPublicDstIpAddr tblLwInPublicDstIpAddr2', '', '', '');
   			break;
   		}
	}

function checkLanSvrOption()
	{
	var selObj = document.getElementById ('selSendLanSvr');
	if (!selObj) return;
	if (selObj.disabled)
		fieldStateChangeWr ('hdSelWanIpAddrType tblLwInLanServer tblLwInLanServer2', '', 'selPublicDstIpAddr', '');
	if (parseInt (selObj.value, 10) == 1)
		fieldStateChangeWr ('hdSelWanIpAddrType tblLwInLanServer2', '', 'selPublicDstIpAddr tblLwInLanServer', '');
	else if (parseInt (selObj.value, 10) == 2)
		{
		fieldStateChangeWr ('', '', 'tblLwInLanServer tblLwInLanServer2', '');
		var wanDstObj = document.getElementById ('selPublicDstIpAddr');
		if (!wanDstObj) return;
	    var wanDestLength = wanDstObj.options.length;
		wanDstObj.selectedIndex = parseInt(wanDestLength,10)-1;    
		dropFieldSelectPublicDstAddr ();
		fieldStateChangeWr ('selPublicDstIpAddr', '', 'hdSelWanIpAddrType', '');
		}
	}
	
function checkAddressRange ()
	{
    /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Range mismatch in WAN Destination IP addresses and LAN server IP addresses';

     /* L10N Error Message Collection End */
     
	var selObj = document.getElementById ('selSendLanSvr');
	if (!selObj) return true;
	if (selObj.disabled || selObj.value != "2") return true;
	var lanAddressRange = 0;
	var wanAddressRange = 0;
	var lanSvrStartInt = getIPInt('tblLwInLanServer');
	var lanSvrEndInt = getIPInt('tblLwInLanServer2');
	lanAddressRange = lanSvrEndInt - lanSvrStartInt;
	
	var wanSvrStartInt = getIPInt('tblLwInPublicDstIpAddr');
	var wanSvrEndInt = getIPInt('tblLwInPublicDstIpAddr2');
	wanAddressRange = wanSvrEndInt - wanSvrStartInt;
	
	if (lanAddressRange != wanAddressRange)
		{
		alert (errMsgL10n1);
		return false;
		}

	return true;
	}

/* add_lw_in_service_IPv6.htm Start */
function fwAddLwInServicesValidate_IPv6 ()
    {
    /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Invalid port number- Please enter value between 0 - 65535.';
     var errMsgL10n2 ='Invalid port number';
     var errMsgL10n3 ='Invalid Start LAN server IP address.';
     var errMsgL10n4 ='for octet';
     var errMsgL10n5 ='Invalid LAN users starting IP address.';
     var errMsgL10n6 ='Invalid LAN users ending IP address.';
     var errMsgL10n7 ='LAN Users';
     var errMsgL10n8 ='Invalid WAN users starting IP address.';
     var errMsgL10n9 ='Invalid WAN users ending IP address.';
     var errMsgL10n10 ='WAN Users';
     var errMsgL10n11 ='Invalid End LAN server IP address.';
     var errMsgL10n12 ='LAN server IP address.';
     var errMsgL10n13 ='Invalid Start WAN Destination IP Address.';
     var errMsgL10n14 ='Invalid End WAN Destination IP Address.';
     var errMsgL10n15 ='WAN Destination IP Address.';
     /* L10N Error Message Collection End */

	
	if (ipv6Validate ('addLWInLanUserStart', false, true, '') == false)
	    return false;
	
	if (ipv6Validate ('addLWInLanUserFinish', false, true, '') == false)
	    return false;
	    
	if (startEndCompare('addLWInLanUserStart','addLWInLanUserFinish') == false)
		return false;
	
	if (ipv6Validate ('addLWInWanUserStart', false, true, '') == false)
	    return false;
	
	if (ipv6Validate ('addLWInWanUserFinish', false, true, '') == false)
	    return false;
	    
	if (startEndCompare('addLWInWanUserStart','addLWInWanUserFinish') == false)
		return false;
		
	return true;	
    }
    
function fwActionCheckLW ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');		
	if (!selectedValue) return;
	switch (selectedValue)
		{
        case "ACCEPT_BY_SCHEDULE":
        case "DROP_BY_SCHEDULE":
			fieldStateChangeWr ('','','selSchedule','');
			break;
		case "ACCEPT":
			fieldStateChangeWr ('selSchedule','','','');
			break;
		case "DROP":	
		default:
			fieldStateChangeWr ('selSchedule','','','');
			break;
		}
	}
    
function dropFieldSelectLanLW (parent)
    {
    if (!parent)
        return;
   	var optVal = document.getElementById(parent.id).value;   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('addLWInLanUserFinish', '', 'addLWInLanUserStart', '');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', 'addLWInLanUserStart addLWInLanUserFinish', '');
   			break;
   		default:
   			fieldStateChangeWr ('addLWInLanUserStart addLWInLanUserFinish', '', '', '');
   			break;
   		}
	}
function dropFieldSelectWanLW (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('addLWInWanUserFinish', '', 'addLWInWanUserStart', '');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', 'addLWInWanUserStart addLWInWanUserFinish', '');
   			break;
   		default:
   			fieldStateChangeWr ('addLWInWanUserStart addLWInWanUserFinish', '', '', '');
   			break;
   		}
    }
    
function InitialSettingsLW ()
	{
	fwActionCheckLW ();	
	var fldObj = document.getElementById('addLWInLanUser');		
	if (fldObj && !fldObj.disabled)
		dropFieldSelectLanLW (fldObj);
	var fldObj = document.getElementById('addLWInWanUser');
	if (!(fldObj.disabled))
		dropFieldSelectWanLW (fldObj);
	}	

function serviceCheck ()
	{
	var selServiceValue = comboSelectedValueGet  ('selService');
	if (!selServiceValue) return;
	switch (selServiceValue)
		{
		case "ANY":
            fieldStateChangeWr ('chkTranslatePortNum txtTranslatePortNum','','','');
			break;
			
		default:
            fieldStateChangeWr ('','','chkTranslatePortNum txtTranslatePortNum','');
            translatePortNumCheck ();
			break;
		}
	}
	
/* add_lw_in_service_IPv6.htm End */

/* add_lw_out_service_IPv6.htm Start */
function fwAddLwOutServicesValidate ()
    {         
	if (ipv6Validate ('addLWOutLanUserStart', false, true, '') == false)
	    return false;
	if (ipv6Validate ('addLWOutLanUserFinish', false, true, '') == false)
	    return false;
	
    if (startEndCompare('addLWOutLanUserStart','addLWOutLanUserFinish') == false)
		return false;
	
	if (ipv6Validate ('addLWOutWanUserStart', false, true, '') == false)
	    return false;
	if (ipv6Validate ('addLWOutWanUserFinish', false, true, '') == false)
	    return false;
	    
	if (startEndCompare('addLWOutWanUserStart','addLWOutWanUserFinish') == false)
		return false;
		    		
	return true;
    }
function fwActionCheck ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (selectedValue)
		{
        case "ACCEPT_BY_SCHEDULE":
        case "DROP_BY_SCHEDULE":
			fieldStateChangeWr ('','','selSchedule selQos','');
			break;

		case "ACCEPT":
			fieldStateChangeWr ('selSchedule','','selQos','');
			break;
			
		default:				
			fieldStateChangeWr ('selSchedule selQos','','','');
			break;
		}
	}
function dropFieldSelectLan (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('addLWOutLanUserFinish', '', 'addLWOutLanUserStart', '');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', 'addLWOutLanUserStart addLWOutLanUserFinish', '');
   			break;
   		default:
   			fieldStateChangeWr ('addLWOutLanUserStart addLWOutLanUserFinish', '', '', '');
   			break;
   		}
	}
function dropFieldSelectWan (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('addLWOutWanUserFinish', '', 'addLWOutWanUserStart', '');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', 'addLWOutWanUserStart addLWOutWanUserFinish', '');
   			break;
   		default:
   			fieldStateChangeWr ('addLWOutWanUserStart addLWOutWanUserFinish', '', '', '');
   			break;
   		}
    }

function dropFieldSelectNAT (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
			if (document.getElementById ('selSnat'))   		
                fieldStateChangeWr ('', '', 'selSnat tblNATIPStart', '');
   			else
   				fieldStateChangeWr ('', '', 'tblNATIPStart', '');
   			break;
   		default:
			if (document.getElementById ('selSnat'))   		   		
                fieldStateChangeWr ('selSnat tblNATIPStart', '', '', '');
	   		else
	   			fieldStateChangeWr ('tblNATIPStart', '', '', '');	   		
   			break;
   		}
    }

function InitialSettings ()
	{
	fwActionCheck ();
	var fldObj = document.getElementById('addLWOutLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLan (fldObj);
	var fldObj = document.getElementById('addLWOutWanUser');
	if (!(fldObj.disable))
		dropFieldSelectWan (fldObj);
	}
	
function wanModeCheck ()
{
	var wanModeObj = document.getElementById('keyNatIpDisable');
	if(wanModeObj.value == "0")
            fieldStateChangeWr ('selNATIP','', '', '');
	var primWanObj = document.getElementById('hdPrimWan');            
	if (primWanObj.value == "0")
	{
		primWanObj.value = 1;
		if (document.getElementById ('selSnat'))
            optionValueSelect ('selSnat', 'hdPrimWan');            		
		primWanObj.value = 0;
	}
	else if (primWanObj.value == "1")
	{
		primWanObj.value = 2;
		if (document.getElementById ('selSnat'))		
            optionValueSelect ('selSnat', 'hdPrimWan');
		primWanObj.value = 1;
	}
}

/* add_lw_out_service_IPv6.htm End */
