/* radioConf.js - API library for Radio configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01b,25MAR11,vsr added radioshowAlert fun
01a,12OCT10,mvb  written. 
*/

function radioValidate ()
	{
    var transPwrObj = document.getElementById('txtDefTransPwr')
    var hdObj = document.getElementById('hdTxPowerMax');
    var maxValue = 20;
    if (hdObj && !isNaN(hdObj.value)) maxValue = parseInt (hdObj.value, 10);
	if (numericValueRangeCheck (transPwrObj, '', '', 1, maxValue, false, '', '(dBm)') == false)
		{
		var errStr = "Please enter a value between 1 to " + maxValue + " (dBm)"
		if (document.getElementById('txtDefTransPwrErr'))
			document.getElementById('txtDefTransPwrErr').innerHTML = errStr;
		else
			alert (errStr);
		return false;
		}
    var vapCount = parseInt(document.getElementById('hdVapWepCount').value,10);
    var nwMode = document.getElementById('selMode').value;
    if((nwMode == '475136' || nwMode == '131072' || nwMode == '393216') && vapCount > 0)
        {
        var mode = ""
        if(nwMode == '475136')
            mode = "NG"
        else if(nwMode == '131072')
            mode = "N only"
        else if(nwMode == '393216')
            mode = "NA"
        
        var errStr = mode + " cannot be configured as one of the AP's is configured in WEP/WPA(TKIP) security mode. Please change the security setting to configure the Radio in " + mode;
        if (document.getElementById('txtDefTransPwrErr'))
            document.getElementById('txtDefTransPwrErr').innerHTML = errStr;
        else
            alert (errStr);
        return false;
        }
		   
	return radioshowAlert ();
    }
function pageInit ()
	{
	/* pick the correct ISO country code corresponding to atheros country code */
	var cntryobj = document.getElementById ('hdWlanCountry');
	var confCntrycodeObj = document.getElementById ('hdConfCountryCode');	
	var configuredCountry = confCntrycodeObj.value;	
	for (var count = 0; count < wlNwAthObjLst.length; count++)
		{
		try {
			if (wlNwAthObjLst[count].countryCode == configuredCountry) 
				break;
			} catch (err) {}
		}
	cntryobj.value = wlNwAthObjLst[count].countryISOName;
	}

function greyOutRegInfo()
    {
    var configRegionObj = document.getElementById('hdConfigrdRegion');
    if(!configRegionObj) return;
    if(configRegionObj.value != 0 && (configRegionObj.value != '' || configRegionObj.value != null))
        fieldStateChangeWr ('selRegions','','','');
    else
        fieldStateChangeWr ('','','selRegions','');
    }
	
function radioshowAlert ()
	{
	var oldIPMode = document.getElementById ('hdWlanCountry').value;
	var selectedMode = comboSelectedValueGet('selCountry');
	if (oldIPMode != selectedMode)
		{
		var result = confirm ('Country change will cause the device to re-boot.\n' +
                              'Click OK to continue or Cancel to abort');
		if (result)
			document.getElementById ('btApply').name = "button.config.statusPage"
		return result;
        }
	return true;
	}
